# $Revision: 1.11.2.1 $, $Date: 2008-03-12 15:12:10 $
Summary:	Extensions for GNU Octave
Summary(pl):	Rozszerzenia dla GNU Octave
Name:		octave-forge
Version:	2005.06.13
Release:	2
License:	GPL
Group:		Applications/Math
Source0:	http://dl.sourceforge.net/octave/%{name}-%{version}.tar.gz
# Source0-md5:	cf82a74d27636abf07f1732b4851f2e2
Patch0:		%{name}-make.patch
URL:		http://octave.sourceforge.net/
BuildRequires:	GiNaC-devel
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	fftw3-devel
BuildRequires:	gcc-g77
BuildRequires:	gsl-devel
BuildRequires:	hdf5-devel
BuildRequires:	lapack-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	octave-devel >= 2:2.1.58
BuildRequires:	pcre-devel
BuildRequires:	qhull-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Set of custom scripts, functions and extensions for GNU Octave.
octave-forge (http://octave.sf.net/) is a community project for
collaborative development of octave extensions. If you have a large
package that you want to open up to collaborative development, or a
couple of m-files that you want to contribute to an existing package,
octave-forge is the place to do it.

%description -l pl
Zestaw dodatkowych skryptw, funkcji i rozszerze dla GNU Octave.
octave-forge (http://octave.sf.net/) to spoeczny projekt do wsplnego
rozwijania rozszerze octave. Jeli mamy pakiet, ktry chcemy otworzy
w celu wsplnego rozwijania albo zbir plikw .m, ktre chcemy wnie
do istniejcego pakietu, octave-forge jest odpowiednim miejscem.

%prep
%setup -q
%patch0 -p1

%build
export CXXFLAGS="%{rpmcflags} -fno-use-cxa-atexit"
./autogen.sh
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	MPATH="$RPM_BUILD_ROOT$( octave-config --m-site-dir )/%{name}" \
	OPATH="$RPM_BUILD_ROOT$( octave-config --oct-site-dir )/%{name}" \
	XPATH="$RPM_BUILD_ROOT$( octave-config --oct-site-dir )" \
	ALTMPATH="$RPM_BUILD_ROOT$( octave-config --m-site-dir )/%{name}" \
	ALTOPATH="$RPM_BUILD_ROOT$( octave-config --oct-site-dir )/%{name}" \
	mandir="$RPM_BUILD_ROOT%{_mandir}" \
	bindir="$RPM_BUILD_ROOT%{_bindir}"
find $RPM_BUILD_ROOT -name PKG_ADD -print0 | xargs -0 rm -f

mv $RPM_BUILD_ROOT%{_bindir}/mex $RPM_BUILD_ROOT%{_bindir}/mex-octave           

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f "%{_datadir}/octave/site/m/startup/octaverc" ] && \
	! grep -q "octave-forge" "%{_datadir}/octave/site/m/startup/octaverc"
then
	echo "LOADPATH = [ '$( octave-config --oct-site-dir)/octave-forge:$( octave-config --m-site-dir)/octave-forge/:', LOADPATH ];" >> "%{_datadir}/octave/site/m/startup/octaverc"
fi

%postun
if [ "$1" = "0" ]; then
	umask 027
	grep -E -v "octave-forge" "%{_datadir}/octave/site/m/startup/octaverc" > "%{_datadir}/octave/site/m/startup/octaverc.tmp"
	mv -f "%{_datadir}/octave/site/m/startup/octaverc.tmp" "%{_datadir}/octave/site/m/startup/octaverc"
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README RELEASE-NOTES TODO
%doc doc/*.html doc/coda/*.sgml doc/coda/appendices/*.sgml
%doc doc/coda/oct/*.sgml doc/coda/standalone/*.sgml
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/*
%(octave-config --m-site-dir)/%{name}
%dir %(octave-config --oct-site-dir)/%{name}
%(octave-config --oct-site-dir)/%{name}/*.[ho]
%attr(755,root,root) %(octave-config --oct-site-dir)/%{name}/*.oct
%attr(755,root,root) %(octave-config --oct-site-dir)/aurecord
%attr(755,root,root) %(octave-config --oct-site-dir)/rasmol.sh

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: octave-forge.spec,v $
Revision 1.11.2.1  2008-03-12 15:12:10  glen
- release 2

Revision 1.11  2005-10-08 20:31:41  arekm
- up to 2005.06.13

Revision 1.10  2004/11/01 20:51:41  qboosh
- updated to 2004.09.09, BR: gsl-devel
- +x for *.oct (ELF shared objects)

Revision 1.9  2004/09/03 16:28:31  baggins
- updated to 2004.07.07 (builds with octave 2.1.57)
- removed obsolete patches (someone check if they are really obsolete
	- seem so to me)
- mv %%{_bindir}/mex %%{_bindir}/mex-octave due to conflict with
	tetex-format-mex

Revision 1.8  2004/08/03 21:29:43  qboosh
- added qhull patch, build qhull and GiNaC-based modules; release 3

Revision 1.7  2004/08/02 21:58:54  qboosh
- added make patch (fixes build on alpha)

Revision 1.6  2004/08/01 21:13:28  qboosh
- added pic patch, release 2

Revision 1.5  2004/03/28 18:48:25  gotar
- BR: hdf5-devel

Revision 1.4  2004/03/27 22:32:52  qboosh
- longer pl (based on new en)

Revision 1.3  2004/03/25 20:29:36  gotar
- upgraded to 2004.02.12 (with no_bashizm patch),
- BR: XFree86-devel, libjpeg-devel, libpng-devel, octave-devel = 2:2.1.53
  (it won't build with 2.1.57),
- changes taken from spec file shipped with sources:
 - extended en %description,
 - added -fno-use-cxa-atexit to CXXFLAGS
 - added documentation.

Revision 1.2  2003/10/16 09:38:35  zagrodzki
- remove ADD_PKG files after installation

Revision 1.1  2003/10/09 16:09:23  zagrodzki
- initial release
